Bug 89961 - [BDW/BSW Bisected]Synmark2_v6 OglDrvRes/OglDrvShComp/OglDrvState/OglPSPom Image Validation fail
Summary: [BDW/BSW Bisected]Synmark2_v6 OglDrvRes/OglDrvShComp/OglDrvState/OglPSPom Ima...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL: http://lists.freedesktop.org/archives...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-09 02:50 UTC by wendy.wang
Modified: 2015-04-17 03:03 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.log (15.54 KB, text/plain)
2015-04-09 02:50 UTC, wendy.wang
Details
dmesg log file (108.61 KB, text/plain)
2015-04-09 02:51 UTC, wendy.wang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wendy.wang 2015-04-09 02:50:03 UTC
Created attachment 114970 [details]
Xorg.log

Test Environment
--------------------
Failed Platform: Broadwell

Failed GFX SW stack
Libdrm:		(master)libdrm-2.4.60-18-gbc6b5174d362a01f6d638a4db6aaf2fd355db69c
 Mesa:		(master)8f7338f284cdb1fef64c85e3293d2200d0cc6387
 Xserver:		(master)xorg-server-1.17.0-72-gf1da6bf5d94911e78d2e27e6accf0c6e3aefb331
 Xf86_video_intel:		(master)2.99.917-219-g745c21fb1aa1fcd54e9a9aeaa7fe6877af39f2f1
 Cairo:		(master)71392653803277cec6deea9e7aa4696f8b22dd73
 Kernel:   (drm-intel-nightly)d72ff1ab1499711c941831400629c14493313b3a

Mesa Regression: Yes

First bad commit is:
commit 47c4b3854076adfe5a27b537f36262ac4ec4530d
Author:     Matt Turner <mattst88@gmail.com>
AuthorDate: Tue Jan 27 19:18:46 2015 -0800
Commit:     Matt Turner <mattst88@gmail.com>
CommitDate: Tue Mar 31 14:14:36 2015 -0700

    i965/fs: Allow CSE to handle MULs with negated arguments.

    mul x, -y is equivalent to mul -x, y; and mul x, y is the negation of
    mul x, -y.

    With NIR:
    total instructions in shared programs: 6167779 -> 6161193 (-0.11%)
    instructions in affected programs:     983511 -> 976925 (-0.67%)
    helped:                                4106
    HURT:                                  16
    GAINED:                                18
    LOST:                                  7

    Without NIR:
    total instructions in shared programs: 6192323 -> 6185299 (-0.11%)
    instructions in affected programs:     987875 -> 980851 (-0.71%)
    helped:                                4146
    HURT:                                  16
    GAINED:                                16
    LOST:                                  0



Bug Description
4 Synmark2_v6 cases have been impacted by the bad commit: Image validation will fail when running case, we cannot get the performance data for these 4 cases on BDW now.
OglDrvRes
OglDrvShComp
OglDrvState
OglPSPom

root@x-bdw21:/usr/local/games/OpenGL/SynMark2_6# ./synmark2 OglDrvRes
-- SynMark2 6.0.0 -- 10:04:57 04/09/15 --
Test name: OglDrvRes
Config name: Default
Validation: Failed - different (1.219 %), different (0.915 %)
OglDrvRes: Image validation failed - different (1.219 %), different (0.915 %)

Reproduce step:
1. cd /usr/local/games/OpenGL/SynMark2_6
2. ./synmark2 OglDrvRes
Comment 1 wendy.wang 2015-04-09 02:51:40 UTC
Created attachment 114971 [details]
dmesg log file
Comment 2 Matt Turner 2015-04-09 06:38:38 UTC
Interesting. Thanks. I'll have a look.
Comment 3 Eero Tamminen 2015-04-09 07:17:26 UTC
This happens also on BSW i.e. it's GEN8 specific.  The main failing test is PSPom, the other two are composite tests, containing pieces of multiple other tests, including PSPom.
Comment 4 Matt Turner 2015-04-13 20:14:46 UTC
Patch sent.
Comment 5 Matt Turner 2015-04-14 19:16:48 UTC
Fixed with

commit 3ca17e75e4fe129511a4dcad47e139485beef880
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Apr 13 11:29:14 2015 -0700

    i965/fs: Correct mistake in determining whether a MUL is negated.
    
    a * b is equivalent to -a * -b, and the previous code was failing at
    that.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=89961
    Reviewed-by: Anuj Phogat <anuj.phogat@gmail.com>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>


Thanks for the report!
Comment 6 wendy.wang 2015-04-17 03:03:26 UTC
Verified on BDW with 2015-04-15 GFX SW stack,
this issue been fixed.
Libdrm:		(master)libdrm-2.4.60-33-g32258e4dbd32466b4286ab2ad7883b7cb90c105f
 Mesa:		(master)3cbefe3cf4c745c7c681cfc18a1e47461fec91db
 Xserver:		(master)xorg-server-1.17.0-74-g41932dfbc841a1adc6512d41085ea3f8ebecb42c
 Xf86_video_intel:		(master)2.99.917-266-g66f3db6789727b99ec34afe3ceaecc9e549e55ee
 Cairo:		(master)2cf2d8e340a325adb205baf8e4bd64e1d1858008
 Libva:		(master)062a63932c0f1439aa587aa986bbcfb758ff38f2
 Libva_intel_driver:		(master)ed03aebc6e702dab65204cc1469eef0da73e2372
 Kernel:   (drm-intel-nightly)5ea91de4ff45adb60031853d64314c3405378fbd


bug/show.html.tmpl processed on Feb 25, 2017 at 20:34:53.
(provided by the Example extension).